Bug 732467 - Pointer gets stuck on right-most screen
Summary: Pointer gets stuck on right-most screen
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-server
Version: 6.2
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Peter Hutterer
QA Contact: Desktop QE
URL:
Whiteboard:
: 748917 (view as bug list)
Depends On: 730729
Blocks: 732423 740851 750568 783505
TreeView+ depends on / blocked
 
Reported: 2011-08-22 14:50 UTC by Søren Sandmann Pedersen
Modified: 2018-11-27 20:24 UTC (History)
13 users (show)

Fixed In Version: xorg-x11-server-1.10.4-11.el6
Doc Type: Bug Fix
Doc Text:
Previously, if the X server was configured as a multi-screen setup through multiple "Device" sections in the xorg.conf file, an absolute input device (for example a graphic tablet's stylus) got stuck in the right-most or bottom-most screen. This update changes the screen crossing behavior so that absolute devices are always mapped across all screens.
Clone Of: 730729
Environment:
Last Closed: 2012-06-20 07:27:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0939 normal SHIPPED_LIVE Low: xorg-x11-server security and bug fix update 2012-06-19 19:28:31 UTC
FreeDesktop.org 25182 None None None Never

Comment 22 Peter Hutterer 2012-01-20 01:17:18 UTC
MODIFIED

xorg-x11-server-1.10.4-10.el6 is available in brew

Comment 24 Marian Krcmarik 2012-01-25 17:03:14 UTC
xorg-x11-server-1.10.4-10.el6 fixes the bug - the pointer is not stuck on one screen.

Comment 25 Marian Krcmarik 2012-01-25 17:10:57 UTC
*** Bug 748917 has been marked as a duplicate of this bug. ***

Comment 26 Peter Hutterer 2012-02-27 01:23:09 UTC
Updated build addressing https://bugzilla.redhat.com/show_bug.cgi?id=783505#c8

xorg-x11-server-1.10.4-11.el6 is available in brew.

Comment 27 Eliska Slobodova 2012-03-01 10:42:44 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, if the X server was configured as a multi-screen setup through multiple "Device" sections in the xorg.conf file, an absolute input device (for example a graphic tablet's stylus) got stuck in the right-most or bottom-most screen. This update changes the screen crossing behavior so that absolute devices are always mapped across all screens.

Comment 31 errata-xmlrpc 2012-06-20 07:27:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0939.html


Note You need to log in before you can comment on or make changes to this bug.